curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"labels": [
"<string>"
],
"additional_attributes": {},
"contact": {
"payload": [
{
"additional_attributes": {},
"availability_status": "<string>",
"email": "<string>",
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"blocked": true,
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {
"attribute_key": "attribute_value",
"signed_up_at": "dd/mm/yyyy"
},
"last_activity_at": 123,
"created_at": 123,
"contact_inboxes": [
{
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}
]
}
]
},
"assignee": {
"id": 123,
"account_id": 123,
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"thumbnail": "<string>",
"custom_role_id": 123
},
"agent_last_seen_at": "2023-11-07T05:31:56Z",
"assignee_last_seen_at": "2023-11-07T05:31:56Z"
},
"payload": [
{
"id": 123,
"content": "<string>",
"account_id": 123,
"inbox_id": 123,
"conversation_id": 123,
"created_at": 123,
"updated_at": 123,
"private": true,
"source_id": "<string>",
"content_attributes": {},
"sender_id": 123,
"external_source_ids": {},
"additional_attributes": {},
"processed_message_content": "<string>",
"sentiment": {},
"conversation": {},
"attachment": {},
"sender": {}
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get messages
List all messages of a conversation
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Query Parameters
Fetch messages after the message with this ID. Returns up to 100 messages in ascending order.
Fetch messages before the message with this ID. Returns up to 20 messages in ascending order.
Response
Success
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The object containing additional attributes related to the contact
The availability status of the contact
The email address of the contact
The ID of the contact
The name of the contact
The phone number of the contact
Whether the contact is blocked
The identifier of the contact
The thumbnail of the contact
The custom attributes of the contact
{ "attribute_key": "attribute_value", "signed_up_at": "dd/mm/yyyy" }
The last activity at of the contact
The created at of the contact
Hide child attributes
Hide child attributes
Contact Inbox Source Id
Hide child attributes
Hide child attributes
ID of the inbox
The avatar image of the inbox
The ID of the channel
The name of the inbox
The type of the inbox
The provider of the inbox
Hide child attributes
Hide child attributes
The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests.
online, busy, offline Whether the agent is automatically marked offline when they are away.
Whether the agent has confirmed their email address.
The email of the agent
The available name of the agent
The name of the agent
The role of the agent
agent, administrator The thumbnail of the agent
The custom role id of the agent
Array of messages
Hide child attributes
Hide child attributes
The ID of the message
The text content of the message
The ID of the account
The ID of the inbox
The ID of the conversation
The type of the message
0, 1, 2, 3 The time at which message was created
The time at which message was updated
The flags which shows whether the message is private or not
The status of the message
sent, delivered, read, failed, null The source ID of the message
The type of the template message
text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call, null The content attributes for each content_type
The type of the sender
Contact, User, AgentBot, Captain::Assistant, null The ID of the sender
The external source IDs of the message
The additional attributes of the message
The processed message content
The sentiment of the message
The conversation object
The file object attached to the image
User/Agent/AgentBot object